function WipeOutro()
{
//	return;

	if (entities[0].hp<=0)
		return;
	while(AreKeysLeft())
		GetKey();
	var images = new Array(9);
	images[0] = LoadImage("wipe_outro/davis_screen1_1.png");
	images[1] = LoadImage("wipe_outro/davis_screen1_2.png");
	images[2] = LoadImage("wipe_outro/davis_screen1_3.png");
	images[3] = LoadImage("wipe_outro/davis_screen1_4.png");
	images[4] = LoadImage("wipe_outro/davis_screen1_5.png");
	images[5] = LoadImage("wipe_outro/davis_screen1_6.png");
	images[6] = LoadImage("wipe_outro/davis_screen1_7.png");
	images[7] = LoadImage("wipe_outro/davis_screen1_8.png");
	images[8] = LoadImage("wipe_outro/davis_screen1_9.png");

	images[9] = LoadImage("wipe_outro/davis_screen1_liegh1.png");
	images[10] = LoadImage("wipe_outro/davis_screen1_liegh2.png");

	images[11] = LoadImage("wipe_outro/wipe_floor1_1.png");
	images[12] = LoadImage("wipe_outro/wipe_floor1_2.png");
	images[13] = LoadImage("wipe_outro/wipe_floor1_3.png");
	images[14] = LoadImage("wipe_outro/wipe_floor1_4.png");

	images[15] = LoadImage("wipe_outro/wipe_floor2_1.png");
	images[16] = LoadImage("wipe_outro/wipe_floor2_2.png");
	images[17] = LoadImage("wipe_outro/wipe_floor2_3.png");
	images[18] = LoadImage("wipe_outro/wipe_floor2_4.png");

	var lasttime = GetTime();

	for (gi=0;gi<=30;gi++)
	{
		//draw back stuff;
		RenderBackground();
		FadeMusic(1-gi/30);
		Rectangle(0,0,320,240, CreateColor(0,0,0,255*gi/30));
		FlipScreen();
		while (GetTime()-lasttime < 1000/30);
		lasttime = GetTime();
	}
	lasttime = GetTime();
//	return;
	PauseHeart();
	PauseAllMusic();
	//return;


	var fratey = 1000/12;
	var quity = false;
	var db_message = "";

	function DrawBars()
	{
		Rectangle(0,0,320,20, CreateColor(0,0,0,255));
		Rectangle(0,240-20,320,20, CreateColor(0,0,0,255));
		font2.drawText(5,224, db_message);
	}

	function CheckExit()
	{
		while(AreKeysLeft())
		{
			switch(GetKey())
			{
				case KEY_ENTER:
				{
					quity = true;
				
				}
				case KEY_ESCAPE:
				{
					quity = true;
				
				}
				case KEY_SPACE:
				{
					quity = true;
				
				}
			}
		}
	}
	
	function ShowImage(num)
	{
		while(GetTime()-lasttime < 1000/7)
		{
			images[num].blit(0,0);
			DrawBars();
			FlipScreen();
			CheckExit();
		}
		lasttime = GetTime();
	}

	lasttime = GetTime();
	var amt = 7;

	for (wi=0;wi<11+6&&quity==false;wi++)
	{
		if (wi == 11)
			amt = 6;
		if (wi == 13)
			amt = 5;
		if (wi == 15)
			amt = 4;
		while(GetTime()-lasttime < 1000/amt)
		{
			if (wi%6<4 )
				images[15+wi%6].blit(0,0);
			else if (wi%6==4)
				images[17].blit(0,0);
			else if (wi%6==5)
				images[16].blit(0,0);

			DrawBars();
			if (wi<20)
				Rectangle(0,0,320,240,CreateColor(0,0,0,255-wi*255/10));
			FlipScreen();
			//CheckExit();
		}
		lasttime = GetTime();
	}

	while(AreKeysLeft())
		GetKey();

	for (i=0;i<2&&quity==false;i++)
		ShowImage(11);

	var wmessagey = "Leigh:  Oh yeah, no reworks here..."
	var wcount = 0;
	var wtime = GetTime();

	for (wi=0;wi<24&&quity==false;wi++)
	{
		while(GetTime()-lasttime < 1000/7&&quity==false)
		{
			images[11+wi%4].blit(0,0);
			DrawBars();
	
			db_message = wmessagey.substr(0,wcount/4);
			wcount=Math.ceil((GetTime()-wtime)/14);
			FlipScreen();
			CheckExit();
		}
		lasttime = GetTime();
	}

	wmessagey = "...Only fucking huge ass, undead, snakes!";
	wcount = 0;
	wtime = GetTime();
	for (wi=0;wi<30&&quity==false;wi++)
	{
		while(GetTime()-lasttime < 1000/7&&quity==false)
		{
			if (wi < 22)
			{
				images[1].blit(0,-20);
				images[9+wi%2].blit(0,-1+3*Math.random()-20)
			}
			else
			{
				images[1].blit(0,-20);
				images[9].blit(0,-20);
			}
			DrawBars();
	
			db_message = wmessagey.substr(0,wcount/4);
			wcount=Math.ceil((GetTime()-wtime)/14);
			FlipScreen();
			CheckExit();
		}
		lasttime = GetTime();
	}


	wmessagey = "Davis: Gees, lighten up.  Just shoot them.";
	wcount = 0;
	wtime = GetTime();
	for (wi=0;wi<30&&quity==false;wi++)
	{
		while(GetTime()-lasttime < 1000/7&&quity==false)
		{
			images[1].blit(0,-20);
			images[9].blit(0,-20);
			DrawBars();
	
			db_message = wmessagey.substr(0,wcount/4);
			wcount=Math.ceil((GetTime()-wtime)/14);
			FlipScreen();
			CheckExit();
		}
		lasttime = GetTime();
	}

  wmessagey = "It's not like they're bigger than you.";
	wcount = 0;
	wtime = GetTime();
	for (wi=0;wi<30&&quity==false;wi++)
	{
		while(GetTime()-lasttime < 1000/7&&quity==false)
		{
			images[1].blit(0,-20);
			images[9].blit(0,-20);
			DrawBars();
	
			db_message = wmessagey.substr(0,wcount/4);
			wcount=Math.ceil((GetTime()-wtime)/14);
			FlipScreen();
			CheckExit();
		}
		lasttime = GetTime();
	}

	wmessagey = "Leigh:  THEY ARE!";
	wcount = 0;
	wtime = GetTime();
	for (wi=0;wi<22&&quity==false;wi++)
	{
		while(GetTime()-lasttime < 1000/7&&quity==false)
		{
			if (wi > 10)
				images[0].blit(0,-20);
			else if (wi > 3)
				images[wi-3+1].blit(0,-20);
			else
				images[1].blit(0,-20);

			if (wi < 12)
			{
				images[9+wi%2].blit(0,-1+3*Math.random()-20)
			}
			else
			{
				images[9].blit(0,-20);
			}
			DrawBars();
	
			db_message = wmessagey.substr(0,wcount/4);
			wcount=Math.ceil((GetTime()-wtime)/14);
			FlipScreen();
			CheckExit();
		}
		lasttime = GetTime();
	}

	wmessagey = "Davis:  I hear ya.  I hear ya.";
	wcount = 0;
	wtime = GetTime();
	for (wi=0;wi<22&&quity==false;wi++)
	{
		while(GetTime()-lasttime < 1000/7&&quity==false)
		{
			if (wi <7 )
				images[-wi+7+1].blit(0,-20);
			else
				images[1].blit(0,-20);

			images[9].blit(0,-20);
			DrawBars();
	
			db_message = wmessagey.substr(0,wcount/4);
			wcount=Math.ceil((GetTime()-wtime)/14);
			FlipScreen();
			CheckExit();
		}
		lasttime = GetTime();
	}

	var wmessagey = "...Mmm, that's some good coffee.";
	var wcount = 0;
	wtime = GetTime();

	for (wi=0;wi<25&&quity==false;wi++)
	{
		while(GetTime()-lasttime < 1000/7&&quity==false)
		{
			images[15].blit(0,0);
			DrawBars();
	
			db_message = wmessagey.substr(0,wcount/4);
			wcount=Math.ceil((GetTime()-wtime)/14);
			FlipScreen();
			CheckExit();
		}
		lasttime = GetTime();
	}

	var wmessagey = "Leigh:  Arggg..."
	var wcount = 0;
	wtime = GetTime();
	var imgc = 0;

	for (wi=0;wi<20&&quity==false;wi++)
	{
		if (wi%2 == 0 && imgc<3 && wi > 3)
		{
			imgc++;
		}
		
		while(GetTime()-lasttime < 1000/10&&quity==false)
		{
			images[15+imgc].blit(0,0);
			DrawBars();
			Rectangle(0,0,320,240, CreateColor(0,0,0,wi*255/20))
	
			db_message = wmessagey.substr(0,wcount/4);
			wcount=Math.ceil((GetTime()-wtime)/14);
			FlipScreen();
			CheckExit();
		}
		lasttime = GetTime();
	}
	ClearPauseMusicStats();

}